Page MenuHomePhabricator

replace timesync progress bar by tray icon sdwdate-gui
Closed, ResolvedPublic

Description

Why deprecate the Whonix 10 timesync progress bar?

New implementation:

  • tray icon that shows that status of network time synchronization
  • the tray are app would read whatever status information the sdwdate daemon provides
  • that shows more detailed status information when hovering over it
  • perhaps a right click context menu would be useful
  • that perhaps later shows a graphical user interface when clicking it
  • after boot, before the first time synchronization finished, sdwdate should dispatch a script that blocks network access and dispatch another script that allows network access when done

Split task iptables block network access until sdwdate succeeded:
T533

Details

Impact
Normal

Event Timeline

Patrick created this task.May 12 2015, 2:48 PM
Patrick updated the task description. (Show Details)
Patrick raised the priority of this task from to Normal.
Patrick set Impact to Normal.
Patrick edited projects, added Whonix 12; removed Whonix 11.May 12 2015, 4:35 PM

Let me know when you start this.

I know an icon can be added to task bar in Qubes since Network Manager will display, I am just not sure if anything needs to be done on the Qubes side as well

python rewrite of sdwdate - which is only a time syncing daemon - no gui stuff - in progress by troubadour:
https://www.whonix.org/forum/index.php/topic,1301.0.html

If you want, you can follow as it happens. Comment on code sanity, security, concepts and whatnot etc.

Tray icon will come when sdwdate python rewrite is done.

Patrick edited projects, added Whonix 13; removed Whonix 12.Sep 8 2015, 5:41 PM
Patrick edited projects, added Whonix 14; removed Whonix 13.Apr 15 2016, 8:16 PM
Patrick renamed this task from replace timesync progress bar by tray icon, iptables block network access until sdwdate finished to replace timesync progress bar by tray icon sdwdate-gui.Aug 3 2016, 5:38 PM
Patrick updated the task description. (Show Details)
Patrick edited projects, added Whonix 13; removed Whonix 14.
Patrick added a project: sdwdate-gui.
Patrick updated the task description. (Show Details)
Patrick closed this task as Resolved.
Patrick claimed this task.

Split task iptables block network access until sdwdate succeeded:
T533